Amplify build error

seunghwa17·2022년 4월 18일
0

코드를 push하고 build를 하던 중

[BABEL] Note: The code generator has deoptimised the styling of /Users/seunghwako/Desktop/Work/Fine_Project/Fine/lib/sdk-viewer.js as it exceeds the max of 500KB.

라는 에러가 발생하였다. 검색을 해보니 BABEL에 관련된 에러였고, babel compiler에서 compact 옵션에 관한 에러였다. compact 옵션의 기본 값은 auto이며 따로 설정을 해주지 않아서 발생하는 에러일 수 도 있다는 것을 확인하고

next.config.json 파일에

 module.exports = {
  "loaders": [
    { test: /\.js$/, loader: 'babel', query: { compact: false } }
  ]
};

이렇게 추가하여 에러를 해결하였다.

profile
꾸준히 성장하는 개발자가 되겠습니다.

0개의 댓글